Skip to content

Schedule API-triggered Canvases

post

/canvas/trigger/schedule/create

Use this endpoint to schedule Canvas messages via API-triggered delivery, allowing you to decide what action should trigger the message to be sent.

You can pass in context that will be templated into the messages sent by the first steps of the Canvas.

Note that to send messages with this endpoint, you must have a Canvas ID, created when you build a Canvas.

Endpoint reference

This reference is generated from the OpenAPI specification for this endpoint. To run the endpoint, copy the generated cURL example and send it from your terminal or Postman. You can also download the raw OpenAPI spec for this page at /docs/assets/api/openapi/messaging_schedule_messages_post_schedule_triggered_canvases.yaml. Use this spec to validate that your requests include the correct parameters, fields, and structure before you send them. To learn how, see Use OpenAPI schemas for request validation.

New Stuff!